'use client';

import { Box, Heading, Text, VStack, Link as ChakraLink, Divider } from '@chakra-ui/react';

export default function AdvertisingPage() {
  return (
    <Box maxW="4xl" mx="auto" px={6} py={12}>
      <Heading mb={6} textAlign="center" color="teal.500">
        Advertising & Sponsored Content
      </Heading>

      <Text fontSize="lg" mb={4}>
        Interested in promoting your brand or product on Tema’s Blog? We offer several advertising options
        to help you reach our engaged audience.
      </Text>

      <VStack spacing={4} align="start">
        <Box>
          <Heading size="md" mb={2}>
            Sponsored Posts
          </Heading>
          <Text>
            Collaborate with us for custom sponsored articles tailored to your brand message and audience.
          </Text>
        </Box>

        <Divider />

        <Box>
          <Heading size="md" mb={2}>
            Banner Ads
          </Heading>
          <Text>
            Place eye-catching banners on key pages to maximize visibility and clicks.
          </Text>
        </Box>

        <Divider />

        <Box>
          <Heading size="md" mb={2}>
            Newsletter Sponsorship
          </Heading>
          <Text>
            Feature your products or services in our highly subscribed newsletter.
          </Text>
        </Box>
      </VStack>

      <Text mt={8}>
        For inquiries and pricing, please{' '}
        <ChakraLink
          href="/contact"
          color="teal.400"
          fontWeight="bold"
          _hover={{ textDecoration: 'underline' }}
        >
          contact us
        </ChakraLink>
        .
      </Text>
    </Box>
  );
}
